package puissance4.model;

public abstract class Grille
{
    private int nbCases;
    private int nbLignes;
    private int nbColonnes;
    public Case[][] cases;

    public Grille(int lignes, int colonnes) {
        this.nbLignes = lignes;
        this.nbColonnes = colonnes;
        this.nbCases= lignes*colonnes;

        this.cases = new Case[nbColonnes][nbLignes];

        for(int i = 0; i < nbColonnes; i++)
        {
            for(int j = 0; j < nbLignes; j++)
            {
                this.cases[i][j] = new Case();
            }
        }
    }

    public abstract int getNblignes();

    public abstract int getNbColonnes();

    public abstract int getNbCases();

    public abstract Case[][] getCases();

    public abstract void viderGrille();
}