# Contexte et consignes

Le but du projet est de réaliser une application permettant à deux joueurs de jouer au jeu **Puissance 4**.  
Votre méthode de développement et votre conception devront répondre aux principes et patrons de conception
objet vus en A22 et A31. 
Notre projet a était codé sur IntellijIDEA en Java.

## Choix de conception

Pour structurer notre application, nosu avons choisis d'utiliser le modele MVC.
Ca nous a permi de bien différencier les différentes classes,
- Du Modele
- De la Vue
- Du Controlleur

Au début du jeu, il y a une vue commun entre les 2 joueurs avec la grille du puissance4 avec quelques informations en haut de la grille comme le gagnant de la partie précédente, le joueur courant qui doit jouer et un boutton recommancer.
Pour jouer un pion il y a des bouttons en bas de la grille pour jouer et ça se joue chacun son tour dans la même vue.

### Le modèle

A l'origine nous avons choisi de créer 5 classes :
- Grille.java
- Case.java
- Pion.java
- Joueur.java
- Partie.java
- Puissance4.java

Durant le développement, nous avons constater que la classe "Partie.java" n'était pas vraiment utile.  
Nous avons donc choisi de la supprimer. La partie de puissance 4 sera directement gérer par le controller.  
Parmis les 4 classes restantes, nous avons ecrit quelque méthodes utiles au déroulement d'une partie de puissance 4.  
Par exemple, la méthode viderGrille est utilisé pour vider la Grille à la fin d'une partie.
Dans le même esprit, la méthode estVide() de la classe Case premet de savoir si une case est rempli ou non.

#### Captures d'écrans

>**Ecran démarage**
><img src="/img/screen1.jpg" width="400" height="225">

>**Gagnant**
>Losrqu'un joueur gagne il y a un message qui lui indique la victoire et le gagnant en haut a gauche est actualisé.
<img src="/img/screen2.jpg" width="400" height="225">

##### Variantes :

- Morpion : Cette variante permet d'avoir une autre style de jeu que celui du puissance4 avec une classe Morpion.java dans le model et une vue adapté ainsi qu'avec un controlleur. Le but du morpion est comme le puissance4 mais avec une grille 3x3.

- Sogo : Cette autre variante permet d'avoir une autre style de jeu que celui du puissance4 avec une classe Sogo.java dans le model et une vue adapté ainsi qu'avec un controlleur.


Okkes Amoca
Hugo Barbi